# List devices by organization

> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

GET https://api-sandbox.payabli.com/api/Query/devices/org/{orgId}

Returns a list of cloud devices for a single organization. Use filters to limit results. Include the `exportFormat` query parameter to return the results as a file instead of a JSON response.

Reference: https://docs.payabli.com/developers/api-reference/cloud/get-list-of-devices-for-an-organization

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi
  version: 1.0.0
paths:
  /Query/devices/org/{orgId}:
    get:
      operationId: list-devices-org
      summary: Get list of devices for an org
      description: >-
        Returns a list of cloud devices for a single organization. Use filters
        to limit results. Include the `exportFormat` query parameter to return
        the results as a file instead of a JSON response.
      tags:
        - subpackage_query
      parameters:
        - name: orgId
          in: path
          description: The numeric identifier for organization, assigned by Payabli.
          required: true
          schema:
            type: integer
        - name: exportFormat
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type_:ExportFormat'
        - name: fromRecord
          in: query
          description: >-
            The number of records to skip before starting to collect the result
            set.
          required: false
          schema:
            type: integer
            default: 0
        - name: limitRecord
          in: query
          description: >-
            Max number of records to return for the query. Use `0` or negative
            value to return all records.
          required: false
          schema:
            type: integer
            default: 20
        - name: parameters
          in: query
          description: >-

            Collection of field names, conditions, and values used to filter

            the query.


            <Info>
              **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.**

              Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client.

              For example:

              --url https://api-sandbox.payabli.com/api/Query/devices/org/236?parameters=status=1&limitRecord=20

              should become:

              --url https://api-sandbox.payabli.com/api/Query/devices/org/236?status=1&limitRecord=20
            </Info>


            See [Filters and Conditions

            Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference)

            for more information.


            **List of field names accepted:**



            - `deviceId` (eq, ne, ct, nct)


            - `serialNumber` (eq, ne, ct, nct)


            - `friendlyName` (eq, ne, ct, nct)


            - `description` (eq, ne, ct, nct)


            - `model` (eq, ne, ct, nct)


            - `make` (eq, ne, ct, nct)


            - `macAddress` (eq, ne, ct, nct)


            - `registrationCode` (eq, ne, ct, nct)


            - `status` (eq, ne, in, nin)


            - `deviceType` (eq, ne, in, nin)


            - `deviceOs` (eq, ne, in, nin)


            - `activationAttempts` (eq, ne, gt, ge, lt, le)


            - `createdDate` (gt, ge, lt, le, eq, ne)


            - `updatedDate` (gt, ge, lt, le, eq, ne)


            - `lastHealthCheck` (gt, ge, lt, le, eq, ne)


            - `activationExpiry` (gt, ge, lt, le, eq, ne). This filter
            corresponds to the `activationCodeExpiry` response field.


            - `paypointId` (eq, ne)


            - `paypointDba` (eq, ne, ct, nct)


            - `paypointLegal` (eq, ne, ct, nct)


            - `paypointEntry` (eq, ne, ct, nct)


            - `externalPaypointId` (eq, ne, ct, nct)


            - `parentOrgId` (eq, ne)


            - `parentOrgName` (eq, ne, ct, nct)



            **List of comparison operators accepted:**


            - `eq` or empty => equal


            - `gt` => greater than


            - `ge` => greater or equal


            - `lt` => less than


            - `le` => less or equal


            - `ne` => not equal


            - `ct` => contains


            - `nct` => not contains


            - `in` => inside array


            - `nin` => not inside array
          required: false
          schema:
            type: object
            additionalProperties:
              type: string
        - name: sortBy
          in: query
          description: >-
            The field name to use for sorting results. Use `desc(field_name)` to
            sort descending by `field_name`, and use `asc(field_name)` to sort
            ascending by `field_name`.
          required: false
          schema:
            type: string
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type___queryTypes__:QueryDeviceResponse'
        '400':
          description: Bad request/ invalid data
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal API Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Database connection error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliApiResponse'
servers:
  - url: https://api-sandbox.payabli.com/api
  - url: https://api.payabli.com/api
components:
  schemas:
    type_:ExportFormat:
      type: string
      enum:
        - csv
        - xlsx
      description: >-
        Export format for file downloads. When specified, returns data as a file
        instead of JSON.
      title: ExportFormat
    type_:PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    type_:Pagesize:
      type: integer
      description: Number of records on each response page.
      title: Pagesize
    type_:Totalrecords:
      type: integer
      description: Total number of records in response.
      title: Totalrecords
    type_:QuerySummary:
      type: object
      properties:
        pageIdentifier:
          $ref: '#/components/schemas/type_:PageIdentifier'
        pageSize:
          $ref: '#/components/schemas/type_:Pagesize'
        totalAmount:
          type: number
          format: double
          description: Total amount for the records.
        totalNetAmount:
          type: number
          format: double
          description: Total net amount for the records.
        totalPages:
          $ref: '#/components/schemas/type_:Totalrecords'
        totalRecords:
          $ref: '#/components/schemas/type_:Totalrecords'
      title: QuerySummary
    type___queryTypes__:DeviceQueryRecord:
      type: object
      properties:
        deviceId:
          type:
            - string
            - 'null'
          description: Unique identifier for the cloud device.
        idCloud:
          type:
            - integer
            - 'null'
          description: Internal cloud device record ID.
        description:
          type:
            - string
            - 'null'
          description: Description of the device.
        serialNumber:
          type:
            - string
            - 'null'
          description: Serial number of the device.
        friendlyName:
          type:
            - string
            - 'null'
          description: Human-readable name for the device.
        make:
          type:
            - string
            - 'null'
          description: Manufacturer of the device.
        model:
          type:
            - string
            - 'null'
          description: Model name of the device.
        deviceType:
          type:
            - integer
            - 'null'
          description: Type of device.
        deviceStatus:
          type:
            - integer
            - 'null'
          description: Current status of the device.
        deviceOs:
          type:
            - integer
            - 'null'
          description: Operating system of the device.
        macAddress:
          type:
            - string
            - 'null'
          description: MAC address of the device.
        lastHealthCheck:
          type:
            - string
            - 'null'
          description: Timestamp of the last health check from the device.
        registrationCode:
          type:
            - string
            - 'null'
          description: Registration code used to activate the device.
        activationAttempts:
          type:
            - integer
            - 'null'
          description: Number of activation attempts for the device.
        activationCodeExpiry:
          type:
            - string
            - 'null'
          description: Expiration timestamp for the device activation code.
        createdAt:
          type:
            - string
            - 'null'
          description: Timestamp when the device record was created.
        updatedAt:
          type:
            - string
            - 'null'
          description: Timestamp when the device record was last updated.
        paypointId:
          type:
            - integer
            - 'null'
          description: Numeric identifier for the paypoint.
        paypointDba:
          type:
            - string
            - 'null'
          description: DBA name for the paypoint.
        paypointLegal:
          type:
            - string
            - 'null'
          description: Legal name for the paypoint.
        paypointEntry:
          type:
            - string
            - 'null'
          description: Entry identifier for the paypoint.
        externalPaypointId:
          type:
            - string
            - 'null'
          description: External identifier for the paypoint.
        parentOrgId:
          type:
            - integer
            - 'null'
          description: Numeric identifier for the parent organization.
        parentOrgName:
          type:
            - string
            - 'null'
          description: Name of the parent organization.
      required:
        - deviceId
        - idCloud
        - description
        - serialNumber
        - friendlyName
        - make
        - model
        - deviceType
        - deviceStatus
        - deviceOs
        - macAddress
        - lastHealthCheck
        - registrationCode
        - activationAttempts
        - activationCodeExpiry
        - createdAt
        - updatedAt
        - paypointId
        - paypointDba
        - paypointLegal
        - paypointEntry
        - externalPaypointId
        - parentOrgId
        - parentOrgName
      title: DeviceQueryRecord
    type___queryTypes__:QueryDeviceResponse:
      type: object
      properties:
        Summary:
          $ref: '#/components/schemas/type_:QuerySummary'
        Records:
          type: array
          items:
            $ref: '#/components/schemas/type___queryTypes__:DeviceQueryRecord'
      required:
        - Summary
        - Records
      description: Response body for queries about cloud devices.
      title: QueryDeviceResponse
    type_:IsSuccess:
      type: boolean
      description: >-
        Boolean indicating whether the operation was successful. A `true` value
        indicates success. A `false` value indicates failure.
      title: IsSuccess
    type_:Responsedata:
      type: object
      additionalProperties:
        description: Any type
      description: The object containing the response data.
      title: Responsedata
    type_:ResponseText:
      type: string
      description: 'Response text for operation: ''Success'' or ''Declined''.'
      title: ResponseText
    type_:PayabliApiResponse:
      type: object
      properties:
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseData:
          $ref: '#/components/schemas/type_:Responsedata'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
      required:
        - responseText
      title: PayabliApiResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## SDK Code Examples

```typescript Example
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.query.listDevicesOrg(100, {
        fromRecord: 0,
        limitRecord: 20,
        sortBy: "desc(createdAt)",
    });
}
main();

```

```python Example
from payabli import payabli

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.query.list_devices_org(
    org_id=100,
    from_record=0,
    limit_record=20,
    sort_by="desc(createdAt)",
)

```

```csharp Example
using PayabliPayabliApi;
using System.Threading.Tasks;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Query.ListDevicesOrgAsync(
            100,
            new ListDevicesOrgRequest {
                FromRecord = 0,
                LimitRecord = 20,
                SortBy = "desc(createdAt)"
            }
        );
    }

}

```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-sandbox.payabli.com/api/Query/devices/org/100?fromRecord=0&limitRecord=20&sortBy=desc%28createdAt%29"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("requestToken", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://api-sandbox.payabli.com/api/Query/devices/org/100?fromRecord=0&limitRecord=20&sortBy=desc%28createdAt%29")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["requestToken"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-sandbox.payabli.com/api/Query/devices/org/100?fromRecord=0&limitRecord=20&sortBy=desc%28createdAt%29")
  .header("requestToken", "<apiKey>")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-sandbox.payabli.com/api/Query/devices/org/100?fromRecord=0&limitRecord=20&sortBy=desc%28createdAt%29', [
  'headers' => [
    'requestToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```swift Example
import Foundation

let headers = ["requestToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Query/devices/org/100?fromRecord=0&limitRecord=20&sortBy=desc%28createdAt%29")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```